package com.simuwang.manage.api.test;

import com.simuwang.daq.service.ReportParseService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/test/parse")
public class ReportParseTestApi {
    private final ReportParseService service;

    public ReportParseTestApi(ReportParseService service) {
        this.service = service;
    }

    @GetMapping("monthly")
    public void monthly() {
        this.service.parse();
    }
}
